leechcraft-lhtr-0.6.70+git.13163.g100049e6a6-1.1.i586.rpm


Advertisement

Description

leechcraft-lhtr - LeechCraft HTML WYSIWYG editor Module

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename leechcraft-lhtr-0.6.70+git.13163.g100049e6a6-1.1.i586.rpm
Package name leechcraft-lhtr
Package version 0.6.70+git.13163.g100049e6a6
Package release 1.1
Package architecture i586
Package type rpm
Category Productivity/Networking/Other
Homepage http://leechcraft.org
License BSL-1.0
Maintainer -
Download size 103.19 KB
Installed size 278.29 KB
This package provides a HTML WYSIWYG editor plugin for Leechcraft,
usable with mail and blog modules.

Alternatives

Package Version Architecture Repository
leechcraft-lhtr-0.6.70+git.13163.g100049e6a6-1.1.x86_64.rpm 0.6.70+git.13163.g100049e6a6 x86_64 openSUSE Oss
leechcraft-lhtr - - -

Requires

Name Value
leechcraft = 0.6.70+git.13163.g100049e6a6
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.12) -
libQt5Gui.so.5 -
libQt5Gui.so.5(Qt_5) -
libQt5Network.so.5 -
libQt5Network.so.5(Qt_5) -
libQt5WebKit.so.5 -
libQt5WebKit.so.5(Qt_5) -
libQt5WebKitWidgets.so.5 -
libQt5WebKitWidgets.so.5(Qt_5) -
libQt5Widgets.so.5 -
libQt5Widgets.so.5(Qt_5) -
libQt5Xml.so.5 -
libQt5Xml.so.5(Qt_5) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libleechcraft-util-qt5.so.0.6.75 -
libleechcraft-util-xpc-qt5.so.0.6.75.2 -
libleechcraft-xsd-qt5.so.0.6.75.2 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.14) -
libtidy.so.5 -

Provides

Name Value
leechcraft-lhtr = 0.6.70+git.13163.g100049e6a6-1.1
leechcraft-lhtr(x86-32) = 0.6.70+git.13163.g100049e6a6-1.1
libleechcraft_lhtr.so -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package leechcraft-lhtr-0.6.70+git.13163.g100049e6a6-1.1.i586.rpm
Source Package leechcraft-0.6.70+git.13163.g100049e6a6-1.1.src.rpm

Install Howto

Install leechcraft-lhtr rpm package:

# zypper install leechcraft-lhtr

Files

Path
/usr/lib/leechcraft/plugins-qt5/libleechcraft_lhtr.so
/usr/share/leechcraft/settings/lhtrsettings.xml
/usr/share/leechcraft/translations/leechcraft_lhtr_en.qm
/usr/share/leechcraft/translations/leechcraft_lhtr_es.qm
/usr/share/leechcraft/translations/leechcraft_lhtr_ru_RU.qm
/usr/share/leechcraft/translations/leechcraft_lhtr_uk_UA.qm

Changelog

2019-04-14 - Dmitriy Perlow <dap.darkness@gmail.com>
- Updated to 0.6.70-13163-g100049e6a6 snapshot:
* Fixed Leap compiller errors;
* Added leechcraft-Qt59.diff to get Leap build;
* Fixed mode of sha1 _service.
2019-04-06 - Dmitriy Perlow <dap.darkness@gmail.com>
- Updated to 0.6.70-13143-gd05082db2d snapshot:
* ppc64 & arm were fixed via plugins disabling;
* Added _service with sha1;
* vGrabber plugin became obsoleted;
* gcc ? 8 became requred to build;
* Qt ? 5.10 became requred to build;
* Utils tests are back (libQt5Sql5-sqlite became requires).
2019-03-24 - dap.darkness@gmail.com
- Removed leechcraft-projectM-qt5.patch
because projectM became Qt5' one.
2019-02-22 - Luigi Baldoni <aloisio@gmx.com>
- Use newer projectM where available
2018-06-10 - dap.darkness@gmail.com
- Updated to 0.6.70-11552-gf61ee51c3d snapshot:
* Qt 5.11 configure issue should be resolved.
- Right cmake & Qt minimal versions.
2018-02-13 - aloisio@gmx.com
- Added leechcraft-projectM-qt5.patch
2018-01-23 - dap.darkness@gmail.com
- Updated to 0.6.70-10870-g558588d6ec snapshot:
* Utils tests became temporarily disabled (wip);
* cmake ? 3.10 became required to build;
* Wt build failure was fixed;
* Bug #2048 may be resolved (xoox log failure);
* Azoth tab closing segfault may be fixed;
* Bug #2045 was resolved (poshuku start-up segfault).
2017-11-29 - dimstar@opensuse.org
- BuildIgnore openssl: the required libraries are pulled in by wt
and libqt. openssl (the program suite) is not required here.
2017-08-13 - dap.darkness@gmail.com
- Updated to 0.6.70-9561-gaf7a4f70b8 git snapshot:
* Bug #2042 was resolved (segfault on Qt 5.6 ? 5.9 update).
- Monocle plugin requires gcc ? 7.
- Let's use Qt5 lastfm library.
- Enabled back plugins since Qt5Qwt6 became available:
* lemon ? another network Monitor;
* liznoo ? power manager.
2017-08-10 - dap.darkness@gmail.com
- Harbinger became really obsoleted now.
- Added Qt5 runtime requirements.
- Updated to 0.6.70-9432-g81ef79f367 git snapshot:
* Bugged contacts could be hidden now.
* Bug #1348 was resolved (no birthday notifications);
* Right main man page file name.

See Also

Package Description
leechcraft-liznoo-0.6.70+git.13163.g100049e6a6-1.1.i586.rpm LeechCraft Power management module
leechcraft-liznoo-0.6.70+git.13163.g100049e6a6-1.1.x86_64.rpm LeechCraft Power management module
leechcraft-lmp-0.6.70+git.13163.g100049e6a6-1.1.i586.rpm LeechCraft Media player Module
leechcraft-lmp-0.6.70+git.13163.g100049e6a6-1.1.x86_64.rpm LeechCraft Media player Module
leechcraft-lmp-brainslugz-0.6.70+git.13163.g100049e6a6-1.1.i586.rpm LeechCraft Collection Checker Module
leechcraft-lmp-brainslugz-0.6.70+git.13163.g100049e6a6-1.1.x86_64.rpm LeechCraft Collection Checker Module
leechcraft-lmp-dumbsync-0.6.70+git.13163.g100049e6a6-1.1.i586.rpm LeechCraft Media synchronization Module
leechcraft-lmp-dumbsync-0.6.70+git.13163.g100049e6a6-1.1.x86_64.rpm LeechCraft Media synchronization Module
leechcraft-lmp-fradj-0.6.70+git.13163.g100049e6a6-1.1.i586.rpm LeechCraft Equalizer Module
leechcraft-lmp-fradj-0.6.70+git.13163.g100049e6a6-1.1.x86_64.rpm LeechCraft Equalizer Module
leechcraft-lmp-graffiti-0.6.70+git.13163.g100049e6a6-1.1.i586.rpm LeechCraft Tag Manipulating Module
leechcraft-lmp-graffiti-0.6.70+git.13163.g100049e6a6-1.1.x86_64.rpm LeechCraft Tag Manipulating Module
leechcraft-lmp-httstream-0.6.70+git.13163.g100049e6a6-1.1.i586.rpm LeechCraft Music Streamer Module
leechcraft-lmp-httstream-0.6.70+git.13163.g100049e6a6-1.1.x86_64.rpm LeechCraft Music Streamer Module
leechcraft-lmp-mp3tunes-0.6.70+git.13163.g100049e6a6-1.1.i586.rpm LeechCraft mp3tunes.com Module
Advertisement
Advertisement